Subject: Re: What's cooking in git.git (Aug 2009, #01; Wed, 05)

From: Jakub Narebski <[email-masked]>
Date: Thu, 06 Aug 2009 01:24:24 -0700 (PDT)

Junio C Hamano <[email-masked]> writes:

> * jn/gitweb-blame (Sat Jul 25 00:44:10 2009 +0200) 10 commits
>  + gitweb: Create links leading to 'blame_incremental' using
>    JavaScript
>  + gitweb: Incremental blame (proof of concept)
>  + gitweb: Add optional "time to generate page" info in footer
>  + gitweb: Add -partial_query option to href() subroutine

>  + gitweb: Use light/dark for class names also in 'blame' view
>  + gitweb: Add author initials in 'blame' view, a la "git gui blame"
>  + gitweb: Mark commits with no "previous" in 'blame' view
>  + gitweb: Use "previous" header of git-blame -p in 'blame' view
>  + gitweb: Mark boundary commits in 'blame' view
>  + gitweb: Make .error style generic
> 
> Will merge soon.

Actually I'd rather only the first part (the 'blame' view
improvements) were merged.  

The 'blame_incremental' part is still in flux; I'll send in a while
next iteration of it.  Currently most important part is that
"Incremental blame (proof of concept)" turns off sending
application/xhtml+xml because my browser (Firefox up to 1.5) turned on
strict mode also for JavaScript, which means no innerHTML.  Also there
are quite a few items on the TODO list...

I'm sorry that I haven't made it clear.  I should have send those two
parts as a separate series, in separate threads.
-- 
Jakub Narebski
Poland
ShadeHawk on #git